package org.bouml.plugout.apibase.umlitem;

/**
 * this class memorize a type specification, which may be
 * - a class reference
 * - an explicit type
 */
public class UmlTypeSpec {
	/**
	 * significant in case type == 0
	 */
	public String explicit_type;

	public UmlClass type;

	public UmlTypeSpec() {
	}

	/**
	 * Clone the type specification, defined only in Java which does not have
	 * 'const' or 'value passing'
	 */
	public UmlTypeSpec clone_it() {
		final UmlTypeSpec result = new UmlTypeSpec();
		result.type = type;
		result.explicit_type = explicit_type;
		return result;
	}

	@Override
	public String toString() {
		return type != null ? type.name() : explicit_type;
	}
}
