package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.com.UmlCom;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlExtraClassMember extends org.bouml.plugout.apibase.umlitem.UmlExtraClassMember implements ISortItem {
	public UmlExtraClassMember(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClass) {
			return 1000 * SortManager.getSingleton().getOrderWeight(SortItemKind.Class_ExtraMember);
		} else {
			UmlCom.trace("Coucou enculer");
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
