package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlActivityPin extends org.bouml.plugout.apibase.umlitem.UmlActivityPin implements ISortItem {
	public UmlActivityPin(long id, String s) {
		super(id, s);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._anOpaqueAction) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ActivityAction_Pin);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
