package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlComponentView extends org.bouml.plugout.apibase.umlitem.UmlComponentView implements ISortItem {
	public UmlComponentView(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aPackage) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.Package_ComponentView);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		SortItemComparator.getSingleton().sort(children());
	}

}
