package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlDeploymentDiagram extends org.bouml.plugout.apibase.umlitem.UmlDeploymentDiagram implements ISortItem {
	public UmlDeploymentDiagram(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aDeploymentView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.DeploymentView_DeploymentDiagram);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
