#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <process.h>

int main(int argc, char **argv) {
    if(argc == 2) {
            const int returnValue = spawnlp(_P_DETACH, "java", "java", "-jar", "sort_bin\\sort-1.0-windows.jar", argv[1], NULL);
            if(returnValue != 0) {
                   switch(returnValue) {
                        case -2:
                             fprintf(stderr, "File not found.\n");
                             break;
                        case -3:
                             fprintf(stderr, "Path not found.\n");
                             break;
                        case -11:
                             fprintf(stderr, "Invalid .exe file (for Windows).\n");
                             break;
                        case -13:
                             fprintf(stderr, "DOS 4. 0 application.\n");
                             break;
                        case -14:
                             fprintf(stderr, "Unknown .exe type (may be DOS extended).\n");
                             break;
                        default:
                             fprintf(stderr, "Unknow error.\n");
                             break;
                   }
            }
    } else {
           fprintf(stderr, "The socket number is missing in argument of the plugout sort.\n");
    }
    
    return EXIT_SUCCESS;
}
