package org.bouml.plugout.apibase.com;

/**
 * Internal enum
 */
public final class ClassGlobalCmd {
	public static final int _findClassCmd = 0;

	public static final ClassGlobalCmd findClassCmd = new ClassGlobalCmd(_findClassCmd);

	public static ClassGlobalCmd fromInt(int value) {
		switch(value) {
			case _findClassCmd:
				return findClassCmd;
			default:
				throw new Error();
		}
	}

	private final int value;

	private ClassGlobalCmd(int v) {
		value = v;
	}

	public int value() {
		return value;
	}
}
