package org.bouml.plugout.apibase.com;

/**
 * Internal enum
 */
public final class CppSettingsCmd {
	public static final int _getCppSettingsCmd = 0;

	public static final int _getCppUseDefaultsCmd = 1;

	public static final int _setCppAttributeDeclCmd = 25;

	public static final int _setCppClassDeclCmd = 19;

	public static final int _setCppClassStereotypeCmd = 5;

	public static final int _setCppEnumDeclCmd = 23;

	public static final int _setCppEnumInCmd = 13;

	public static final int _setCppEnumInOutCmd = 15;

	public static final int _setCppEnumItemDeclCmd = 26;

	public static final int _setCppEnumOutCmd = 14;

	public static final int _setCppEnumReturnCmd = 40;

	public static final int _setCppExternalClassDeclCmd = 20;

	public static final int _setCppForceNamespaceGenCmd = 44;

	public static final int _setCppGetNameCmd = 32;

	public static final int _setCppGetVisibilityCmd = 31;

	public static final int _setCppHeaderContentCmd = 7;

	public static final int _setCppHeaderExtensionCmd = 10;

	public static final int _setCppIncludeCmd = 6;

	public static final int _setCppIncludeWithPathCmd = 12;

	public static final int _setCppInCmd = 16;

	public static final int _setCppInOutCmd = 18;

	public static final int _setCppIsGetConstCmd = 34;

	public static final int _setCppIsGetInlineCmd = 33;

	public static final int _setCppIsGetValueConstCmd = 35;

	public static final int _setCppIsSetInlineCmd = 38;

	public static final int _setCppIsSetParamConstCmd = 39;

	public static final int _setCppIsSetParamRefCmd = 42;

	public static final int _setCppJavadocStyleCmd = 46;

	public static final int _setCppOperationDeclCmd = 28;

	public static final int _setCppOperationDefCmd = 29;

	public static final int _setCppOperationForceThrowCmd = 30;

	public static final int _setCppOutCmd = 17;

	public static final int _setCppRelationAttributeStereotypeCmd = 4;

	public static final int _setCppRelationDeclCmd = 27;

	public static final int _setCppRelativePathCmd = 43;

	public static final int _setCppReturnCmd = 41;

	public static final int _setCppRootDirCmd = 8;

	public static final int _setCppRootRelativePathCmd = 45;

	public static final int _setCppSetNameCmd = 37;

	public static final int _setCppSetVisibilityCmd = 36;

	public static final int _setCppSourceContentCmd = 9;

	public static final int _setCppSourceExtensionCmd = 11;

	public static final int _setCppStructDeclCmd = 21;

	public static final int _setCppTypeCmd = 3;

	public static final int _setCppTypedefDeclCmd = 24;

	public static final int _setCppUnionDeclCmd = 22;

	public static final int _setCppUseDefaultsCmd = 2;

	public static final CppSettingsCmd getCppSettingsCmd = new CppSettingsCmd(_getCppSettingsCmd);

	public static final CppSettingsCmd getCppUseDefaultsCmd = new CppSettingsCmd(_getCppUseDefaultsCmd);

	public static final CppSettingsCmd setCppAttributeDeclCmd = new CppSettingsCmd(_setCppAttributeDeclCmd);

	public static final CppSettingsCmd setCppClassDeclCmd = new CppSettingsCmd(_setCppClassDeclCmd);

	public static final CppSettingsCmd setCppClassStereotypeCmd = new CppSettingsCmd(_setCppClassStereotypeCmd);

	public static final CppSettingsCmd setCppEnumDeclCmd = new CppSettingsCmd(_setCppEnumDeclCmd);

	public static final CppSettingsCmd setCppEnumInCmd = new CppSettingsCmd(_setCppEnumInCmd);

	public static final CppSettingsCmd setCppEnumInOutCmd = new CppSettingsCmd(_setCppEnumInOutCmd);

	public static final CppSettingsCmd setCppEnumItemDeclCmd = new CppSettingsCmd(_setCppEnumItemDeclCmd);

	public static final CppSettingsCmd setCppEnumOutCmd = new CppSettingsCmd(_setCppEnumOutCmd);

	public static final CppSettingsCmd setCppEnumReturnCmd = new CppSettingsCmd(_setCppEnumReturnCmd);

	public static final CppSettingsCmd setCppExternalClassDeclCmd = new CppSettingsCmd(_setCppExternalClassDeclCmd);

	public static final CppSettingsCmd setCppForceNamespaceGenCmd = new CppSettingsCmd(_setCppForceNamespaceGenCmd);

	public static final CppSettingsCmd setCppGetNameCmd = new CppSettingsCmd(_setCppGetNameCmd);

	public static final CppSettingsCmd setCppGetVisibilityCmd = new CppSettingsCmd(_setCppGetVisibilityCmd);

	public static final CppSettingsCmd setCppHeaderContentCmd = new CppSettingsCmd(_setCppHeaderContentCmd);

	public static final CppSettingsCmd setCppHeaderExtensionCmd = new CppSettingsCmd(_setCppHeaderExtensionCmd);

	public static final CppSettingsCmd setCppIncludeCmd = new CppSettingsCmd(_setCppIncludeCmd);

	public static final CppSettingsCmd setCppIncludeWithPathCmd = new CppSettingsCmd(_setCppIncludeWithPathCmd);

	public static final CppSettingsCmd setCppInCmd = new CppSettingsCmd(_setCppInCmd);

	public static final CppSettingsCmd setCppInOutCmd = new CppSettingsCmd(_setCppInOutCmd);

	public static final CppSettingsCmd setCppIsGetConstCmd = new CppSettingsCmd(_setCppIsGetConstCmd);

	public static final CppSettingsCmd setCppIsGetInlineCmd = new CppSettingsCmd(_setCppIsGetInlineCmd);

	public static final CppSettingsCmd setCppIsGetValueConstCmd = new CppSettingsCmd(_setCppIsGetValueConstCmd);

	public static final CppSettingsCmd setCppIsSetInlineCmd = new CppSettingsCmd(_setCppIsSetInlineCmd);

	public static final CppSettingsCmd setCppIsSetParamConstCmd = new CppSettingsCmd(_setCppIsSetParamConstCmd);

	public static final CppSettingsCmd setCppIsSetParamRefCmd = new CppSettingsCmd(_setCppIsSetParamRefCmd);

	public static final CppSettingsCmd setCppJavadocStyleCmd = new CppSettingsCmd(_setCppJavadocStyleCmd);

	public static final CppSettingsCmd setCppOperationDeclCmd = new CppSettingsCmd(_setCppOperationDeclCmd);

	public static final CppSettingsCmd setCppOperationDefCmd = new CppSettingsCmd(_setCppOperationDefCmd);

	public static final CppSettingsCmd setCppOperationForceThrowCmd = new CppSettingsCmd(_setCppOperationForceThrowCmd);

	public static final CppSettingsCmd setCppOutCmd = new CppSettingsCmd(_setCppOutCmd);

	public static final CppSettingsCmd setCppRelationAttributeStereotypeCmd = new CppSettingsCmd(_setCppRelationAttributeStereotypeCmd);

	public static final CppSettingsCmd setCppRelationDeclCmd = new CppSettingsCmd(_setCppRelationDeclCmd);

	public static final CppSettingsCmd setCppRelativePathCmd = new CppSettingsCmd(_setCppRelativePathCmd);

	public static final CppSettingsCmd setCppReturnCmd = new CppSettingsCmd(_setCppReturnCmd);

	public static final CppSettingsCmd setCppRootDirCmd = new CppSettingsCmd(_setCppRootDirCmd);

	public static final CppSettingsCmd setCppRootRelativePathCmd = new CppSettingsCmd(_setCppRootRelativePathCmd);

	public static final CppSettingsCmd setCppSetNameCmd = new CppSettingsCmd(_setCppSetNameCmd);

	public static final CppSettingsCmd setCppSetVisibilityCmd = new CppSettingsCmd(_setCppSetVisibilityCmd);

	public static final CppSettingsCmd setCppSourceContentCmd = new CppSettingsCmd(_setCppSourceContentCmd);

	public static final CppSettingsCmd setCppSourceExtensionCmd = new CppSettingsCmd(_setCppSourceExtensionCmd);

	public static final CppSettingsCmd setCppStructDeclCmd = new CppSettingsCmd(_setCppStructDeclCmd);

	public static final CppSettingsCmd setCppTypeCmd = new CppSettingsCmd(_setCppTypeCmd);

	public static final CppSettingsCmd setCppTypedefDeclCmd = new CppSettingsCmd(_setCppTypedefDeclCmd);

	public static final CppSettingsCmd setCppUnionDeclCmd = new CppSettingsCmd(_setCppUnionDeclCmd);

	public static final CppSettingsCmd setCppUseDefaultsCmd = new CppSettingsCmd(_setCppUseDefaultsCmd);

	public static CppSettingsCmd fromInt(int value) {
		switch(value) {
			case _getCppSettingsCmd:
				return getCppSettingsCmd;
			case _getCppUseDefaultsCmd:
				return getCppUseDefaultsCmd;
			case _setCppUseDefaultsCmd:
				return setCppUseDefaultsCmd;
			case _setCppTypeCmd:
				return setCppTypeCmd;
			case _setCppRelationAttributeStereotypeCmd:
				return setCppRelationAttributeStereotypeCmd;
			case _setCppClassStereotypeCmd:
				return setCppClassStereotypeCmd;
			case _setCppIncludeCmd:
				return setCppIncludeCmd;
			case _setCppHeaderContentCmd:
				return setCppHeaderContentCmd;
			case _setCppRootDirCmd:
				return setCppRootDirCmd;
			case _setCppSourceContentCmd:
				return setCppSourceContentCmd;
			case _setCppHeaderExtensionCmd:
				return setCppHeaderExtensionCmd;
			case _setCppSourceExtensionCmd:
				return setCppSourceExtensionCmd;
			case _setCppIncludeWithPathCmd:
				return setCppIncludeWithPathCmd;
			case _setCppEnumInCmd:
				return setCppEnumInCmd;
			case _setCppEnumOutCmd:
				return setCppEnumOutCmd;
			case _setCppEnumInOutCmd:
				return setCppEnumInOutCmd;
			case _setCppInCmd:
				return setCppInCmd;
			case _setCppOutCmd:
				return setCppOutCmd;
			case _setCppInOutCmd:
				return setCppInOutCmd;
			case _setCppClassDeclCmd:
				return setCppClassDeclCmd;
			case _setCppExternalClassDeclCmd:
				return setCppExternalClassDeclCmd;
			case _setCppStructDeclCmd:
				return setCppStructDeclCmd;
			case _setCppUnionDeclCmd:
				return setCppUnionDeclCmd;
			case _setCppEnumDeclCmd:
				return setCppEnumDeclCmd;
			case _setCppTypedefDeclCmd:
				return setCppTypedefDeclCmd;
			case _setCppAttributeDeclCmd:
				return setCppAttributeDeclCmd;
			case _setCppEnumItemDeclCmd:
				return setCppEnumItemDeclCmd;
			case _setCppRelationDeclCmd:
				return setCppRelationDeclCmd;
			case _setCppOperationDeclCmd:
				return setCppOperationDeclCmd;
			case _setCppOperationDefCmd:
				return setCppOperationDefCmd;
			case _setCppOperationForceThrowCmd:
				return setCppOperationForceThrowCmd;
			case _setCppGetVisibilityCmd:
				return setCppGetVisibilityCmd;
			case _setCppGetNameCmd:
				return setCppGetNameCmd;
			case _setCppIsGetInlineCmd:
				return setCppIsGetInlineCmd;
			case _setCppIsGetConstCmd:
				return setCppIsGetConstCmd;
			case _setCppIsGetValueConstCmd:
				return setCppIsGetValueConstCmd;
			case _setCppSetVisibilityCmd:
				return setCppSetVisibilityCmd;
			case _setCppSetNameCmd:
				return setCppSetNameCmd;
			case _setCppIsSetInlineCmd:
				return setCppIsSetInlineCmd;
			case _setCppIsSetParamConstCmd:
				return setCppIsSetParamConstCmd;
			case _setCppEnumReturnCmd:
				return setCppEnumReturnCmd;
			case _setCppReturnCmd:
				return setCppReturnCmd;
			case _setCppIsSetParamRefCmd:
				return setCppIsSetParamRefCmd;
			case _setCppRelativePathCmd:
				return setCppRelativePathCmd;
			case _setCppForceNamespaceGenCmd:
				return setCppForceNamespaceGenCmd;
			case _setCppRootRelativePathCmd:
				return setCppRootRelativePathCmd;
			case _setCppJavadocStyleCmd:
				return setCppJavadocStyleCmd;
			default:
				throw new Error();
		}
	}

	private final int value;

	private CppSettingsCmd(int v) {
		value = v;
	}

	public int value() {
		return value;
	}
}
