package org.bouml.plugout.apibase.diagram;

import org.bouml.plugout.apibase.com.UmlCom;

/**
 * this class manages messages in a collaboration diagram
 */
public class UmlCollaborationMessage extends UmlMessage {
	private String _hrank;

	private int _rank;

	/**
	 * return the hierarchical rank of the message
	 */
	public String hrank() {
		return _hrank;
	}

	/**
	 * return the global rank of the message
	 */
	public int rank() {
		return _rank;
	}

	@Override
	public void read_(java.util.Hashtable<Integer, UmlClassInstanceReference> instances) {
		super.read_(instances);
		_rank = UmlCom.read_unsigned();
		_hrank = UmlCom.read_string();
	}
}
