package org.bouml.plugout.apibase.umlitem;

/**
 * Represent an operation's parameter
 */
public class UmlParameter {
	public String default_value;

	public org.bouml.plugout.apibase.type.aDirection dir;

	public String name;

	public UmlTypeSpec type;

	public UmlParameter() {
		type = new UmlTypeSpec();
	}

	/**
	 * Clone the parameter, defined only in Java which does not have 'const' or
	 * 'value passing'
	 */
	public UmlParameter clone_it() {
		final UmlParameter p = new UmlParameter();
		p.dir = dir;
		p.type = type.clone_it();
		p.name = name;
		p.default_value = default_value;
		return p;
	}
}
