package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlOperation extends org.bouml.plugout.apibase.umlitem.UmlOperation implements ISortItem {
	public UmlOperation(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		if(parentKindValue == anItemKind._aClass) {
			return SortManager.getSingleton().getClassMemberOrderWeight(this);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public boolean isConstructor() {
		return name().equals(parent().name()) && "".equals(returnType().toString()) ? true : false;
	}

	public void sort() {
		// Do nothing.
	}

}
