package org.bouml.plugout.sort.model;

import org.bouml.plugout.apibase.PlugoutException;
import org.bouml.plugout.apibase.type.anItemKind;
import org.bouml.plugout.sort.resource.ISortConstant;

public class UmlSequenceDiagram extends org.bouml.plugout.apibase.umlitem.UmlSequenceDiagram implements ISortItem {
	public UmlSequenceDiagram(long id, String n) {
		super(id, n);
	}

	public int getOrderWeight() {
		final int parentKindValue = parent().kind().value();
		;
		if(parentKindValue == anItemKind._aClassView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.ClassView_SequenceDiagram);
		} else if(parentKindValue == anItemKind._anUseCaseView) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCaseView_SequenceDiagram);
		} else if(parentKindValue == anItemKind._anUseCase) {
			return SortManager.getSingleton().getOrderWeight(SortItemKind.UseCase_SequenceDiagram);
		} else {
			throw new PlugoutException(ISortConstant.MSG_PARENT_UNKNOW);
		}
	}

	public void sort() {
		// Do nothing.
	}

}
